> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Settlement With Transaction Details

> Records a transaction hash and link on a non-invoice settlement, marking it settled and emailing payment confirmations.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/update-settlement-with-transaction-details
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/update-settlement-with-transaction-details:
    post:
      operationId: updateSettlementWithTransactionDetails
      summary: Update Settlement With Transaction Details
      description: >-
        Records a transaction hash and link on a non-invoice settlement, marking
        it settled and emailing payment confirmations.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateSettlementWithTransactionDetailsRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateSettlementWithTransactionDetailsResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateSettlementWithTransactionDetailsRequest:
      type: object
      properties:
        tokenPayrollID:
          type: string
          minLength: 1
        settlementOrderForContributorTokenPayrollID:
          type: string
          minLength: 1
        transactionHash:
          type: string
          minLength: 1
        transactionLink:
          type: string
          format: uri
      required:
        - tokenPayrollID
        - settlementOrderForContributorTokenPayrollID
        - transactionHash
        - transactionLink
    UpdateSettlementWithTransactionDetailsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
